Package org.apache.sling.distribution.serialization

## Class ImportSettings

- java.lang.Object
- - org.apache.sling.distribution.serialization.ImportSettings

    public class ImportSettings
    extends Object

Settings that control the package import.

### Constructor Summary

Constructors
`ImportSettings​(org.apache.jackrabbit.vault.fs.api.ImportMode importMode, org.apache.jackrabbit.vault.fs.io.AccessControlHandling aclHandling, org.apache.jackrabbit.vault.fs.io.AccessControlHandling cugHandling, int autosaveThreshold, boolean isStrict, boolean overwritePrimaryTypesOfFolders, org.apache.jackrabbit.vault.fs.api.IdConflictPolicy idConflictPolicy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.jackrabbit.vault.fs.io.AccessControlHandling` `getAclHandling()`
`int` `getAutosaveThreshold()`
`org.apache.jackrabbit.vault.fs.io.AccessControlHandling` `getCugHandling()`
`org.apache.jackrabbit.vault.fs.api.IdConflictPolicy` `getIdConflictPolicy()`
`org.apache.jackrabbit.vault.fs.api.ImportMode` `getImportMode()`
`boolean` `isOverwritePrimaryTypesOfFolders()`
`boolean` `isStrict()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportSettings

    public ImportSettings​(org.apache.jackrabbit.vault.fs.api.ImportMode importMode,
                          org.apache.jackrabbit.vault.fs.io.AccessControlHandling aclHandling,
                          org.apache.jackrabbit.vault.fs.io.AccessControlHandling cugHandling,
                          int autosaveThreshold,
                          boolean isStrict,
                          boolean overwritePrimaryTypesOfFolders,
                          org.apache.jackrabbit.vault.fs.api.IdConflictPolicy idConflictPolicy)

Parameters:
  `importMode` - The serializer import mode
  `aclHandling` - The serializer ACL handling mode
  `cugHandling` - The serializer CUG handling mode
  `autosaveThreshold` - The number of resources to handle before automatically saving the changes.
  `isStrict` - `true` to enforce import constraints; `false` otherwise
  `overwritePrimaryTypesOfFolders` - `true` to overwrite folder primary types ; `false` otherwise
  `idConflictPolicy` - The policy to handle conflicts

### Method Detail

#### getImportMode

    public org.apache.jackrabbit.vault.fs.api.ImportMode getImportMode()

#### getAclHandling

    public org.apache.jackrabbit.vault.fs.io.AccessControlHandling getAclHandling()

#### getCugHandling

    public org.apache.jackrabbit.vault.fs.io.AccessControlHandling getCugHandling()

#### getAutosaveThreshold

    public int getAutosaveThreshold()

#### isStrict

    public boolean isStrict()

#### isOverwritePrimaryTypesOfFolders

    public boolean isOverwritePrimaryTypesOfFolders()

#### getIdConflictPolicy

    public org.apache.jackrabbit.vault.fs.api.IdConflictPolicy getIdConflictPolicy()